program EscrituraAgenda;

{$mode objfpc}

uses
  {$IFDEF UNIX}{$IFDEF UseCThreads}
  cthreads,
  {$ENDIF}{$ENDIF}
  Classes, SysUtils;

type
TRegistro = record
  Nombre: String[32];
  Telefono: String[9];
end;

var
 Registro: TRegistro;
  Archivo: File of TRegistro;

begin
  Writeln('Escritura de un registro: ', sLineBreak);
  AssignFile(Archivo, 'agenda.dat');
  {$I+}

  try
     ReWrite(Archivo);
     Registro.Nombre:= 'Jesus de la Rua ';
     Registro.Telefono:= '634876312';
     Write(Archivo,Registro);
     CloseFile(Archivo);
  except
   on E: EInOutError do
     begin
       Writeln('Ha ocurrido un error. Detalles: '+E.ClassName+'/'+E.Message, sLineBreak);
     end;
 end;
WriteLn('Ejemplo acabado. Pulse Enter para finalizar.');
  {$IFDEF WINDOWS}
   ReadLn;
  {$ENDIF}
end.




